XARGS(1L)

NOMBRE
xargs - construye y ejecuta órdenes desde la entrada estándar

SINOPSIS
xargs [-0prtx] [-e[eof-str]] [-i[replace-str]] [-l[max-lines]] [-n max-args] [-s max-chars] [-P max-procs] [--null] [--eof[=eof-str]] [--replace[=replace-str]] [--max-lines[=max-lines]] [--interactive] [--max-chars=max-chars] [--verbose] [--exit] [--max-procs=max-procs] [--max-args=max-args] [--no-run-if-empty] [--version] [--help] [orden [argumentos-iniciales]]

DESCRIPCIÓN
Esta página del Manual documenta la versión de GNU de xargs. xargs lee argumentos desde la entrada estándar, separados por blancos (que se pueden proteger con comillas simples o dobles o una barra inclinada inversa) o saltos de línea, y ejecuta la orden (la predeterminada es /bin/echo) una o más veces con cualesquiera argumentos-iniciales seguidos por argumentos que se leen desde la entrada estándar. Las líneas en blanco que haya en la entrada estándar no son tenidas en cuenta.

xargs sale con los siguientes códigos de estado:
0 si acaba con éxito
123 si cualquier ejecución de la orden acabó con estado de 1 a 125
124 si la orden acabó con estado 255
125 si la orden acaba por la recepción de una señal
126 si la orden no puede ejecutarse
127 si lo orden no se encuentra
1 si ocurrió cualquier otro error.

  OPCIONES

--null, -0
    Los nombres de fichero de entrada se terminan con un carácter nulo en lugar de con espacio en blanco, y las comillas y barra inversa no son especiales (cada carácter se toma literalmente). Deshabilita el final de la cadena de fin de fichero, que se trata como cualquier otro argumento. Es útil cuando los argumentos pueden contener espacio en blanco, comillas o barras invertidas. La opción de find de GNU -print0 produce una entrada apropiada para este modo de operación.

--eof[=eof-str], -e[eof-str]
    Establece la cadena de fin de fichero a eof-str. Si la cadena de fin de fichero ocurre como una línea de la entrada, el resto de la entrada se descarta. Si se omite eof-str, no hay cadena de fin de fichero. Si esta opción no se da, la cadena de fin de fichero predeterminada es "_".

--help
    Muestra un resumen de las opciones de xargs y acaba.

--replace[=replace-str], -i[replace-str]
    Reemplaza ocurrencias de replace-str en los argumentos iniciales con nombres leídos de la entrada estándar. Además, los blancos no entrecomillados no delimitan los argumentos. Si se omite replace-str, el valor predeterminado es "{}" (como para `find -exec'). Implica -x y -l 1.

--max-lines[=max-lines], -l[max-lines]
    Utiliza como mucho max-lines líneas de entrada no en blanco por cada línea de órdenes; el valor predeterminado de max-lines es 1. Los blancos del final hacen que una línea de entrada continúe en la siguiente. Implica -x.

--max-args=max-args, -n max-args
    Utiliza como mucho max-args argumentos por cada línea de órdenes. Se usará un número menor de max-args argumentos si el tamaño (vea la opción -s) se sobrepasa, a menos que se dé la opción -x, en cuyo caso xargs acabará.

--interactive, -p
    Pregunta al usuario si se debe ejecutar cada línea de órdenes, y lee una línea de la terminal. Sólo ejecuta la línea de órdenes si la respuesta empieza con `y' o `Y' (o quizás el equivalente local, en español `s' o `S'). Implica -t.

--no-run-if-empty, -r
    Si la entrada estándar no contiene algo distinto de blancos, no se ejecuta la orden. Normalmente, la orden se ejecuta una vez incluso si no hay entrada.

--max-chars=max-chars, -s max-chars
    Utiliza como mucho max-chars caracteres por cada línea de órdenes, incluyendo la orden y los argumentos iniciales, y los nulos terminadores en los finales de las cadenas de argumentos. Lo predeterminado es el mayor número posible, hasta 20 k caracteres.

--verbose, -t
    Muestra la línea de órdenes en la salida estándar de errores antes de ejecutarla.

--version
    Muestra el número de versión de xargs y acaba.

--exit, -x
    Acaba si se sobrepasa el tamaño (vea la opción -s).

--max-procs=max-procs, -P max-procs
    Ejecuta hasta max-procs procesos de una vez; el valor predeterminado es 1. Si max-procs es 0, xargs ejecutará tantos procesos como sea posible de una vez. Use la opción -n con -P; de otra forma es muy posible que solamente se haga un exec (una ejecución).

VÉASE TAMBIÉN
find(1L), locate(1L), locatedb(5L), updatedb(1) Finding Files (``Buscando Ficheros'', en interactivo mediante el sistema Info, o impreso en papel).